summaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorBrad Burlage <brb@google.com>2019-10-30 16:14:30 -0700
committergVisor bot <gvisor-bot@google.com>2019-10-30 16:16:15 -0700
commitdf125c986948fbbae2bc30de33213e2095762a86 (patch)
treefe1037b59af99dc6dd6faaf0a8dec9a32f522908 /scripts
parentca933329fa46ce219b39f4cf8cba1754b36cc2c2 (diff)
Add Kokoro config for new runtime tests
PiperOrigin-RevId: 277607217
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/runtime_tests.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/scripts/runtime_tests.sh b/scripts/runtime_tests.sh
new file mode 100755
index 000000000..fb82b2491
--- /dev/null
+++ b/scripts/runtime_tests.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Copyright 2019 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+source $(dirname $0)/common.sh
+
+if [ ! -v RUNTIME ]; then
+ echo 'Must set $RUNTIME' >&2
+ exit 1
+fi
+
+install_runsc_for_test runtimes
+test_runsc "//test/runtimes:${RUNTIME}_test"